From 7ca1840f39d0216e44fe1ca938cfc3ced048da1d Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston <jeremyhu@apple.com>
Date: Tue, 18 Oct 2011 22:24:54 -0700
Subject: [PATCH 3/9] Use malloc/calloc/realloc/free directly

Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
---
 src/ct_driver.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/ct_driver.c b/src/ct_driver.c
index 08df050..e6538c6 100644
--- a/src/ct_driver.c
+++ b/src/ct_driver.c
@@ -949,7 +949,7 @@ CHIPSProbe(DriverPtr drv, int flags)
 		}
 
 	    }
-	    xfree(usedChips);
+	    free(usedChips);
 	}
     }
 
@@ -981,12 +981,12 @@ CHIPSProbe(DriverPtr drv, int flags)
 		pScrn->ValidMode     = CHIPSValidMode;
 		foundScreen = TRUE;
 	    }
-	    xfree(usedChips);
+	    free(usedChips);
 	}
     }
 #endif
     
-    xfree(devSections);
+    free(devSections);
     return foundScreen;
 }
 #endif
@@ -4126,7 +4126,7 @@ CHIPSScreenInit(int scrnIndex, ScreenPtr pScreen, int argc, char **argv)
 	}
 	if (!miInitializeBanking(pScreen, pScrn->virtualX, pScrn->virtualY,
 				 pScrn->displayWidth, pBankInfo)) {
-	    xfree(pBankInfo);
+	    free(pBankInfo);
 	    pBankInfo = NULL;
 	    return FALSE;
 	}
-- 
1.7.9.4

